Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class GetCalendarReferences

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.GetCalendarReferences

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetCalendarReferencesResult>, net.customware.gwt.dispatch.shared.Action<GetCalendarReferencesResult>

    public class GetCalendarReferences

extends java.lang.Object
implements OSAction<GetCalendarReferencesResult>

Returns the Calendar references that identify the Base and Overlay Calendars to be applied for deadline calculations involving the given model-entity.

©2012 TIBCO Software Inc.

Constructor Summary
`GetCalendarReferences(int modelVersion, java.lang.String entityType, java.lang.String guid)` Returns the Calendar references that identify the Base and Overlay Calendars to be applied for deadline calculations involving the given model-entity.

Method Summary
`java.lang.String` | `getEntityType()` Gets the entity type.
`java.lang.String` | `getGuid()` Gets the GUID.
`int` | `getModelVersion()` Gets the model version.
`void` | `setEntityType(java.lang.String entityType)` Sets the entity type.
`void` | `setGuid(java.lang.String guid)` Sets the GUID.
`void` | `setModelVersion(int modelVersion)` Sets the model version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCalendarReferences

    public GetCalendarReferences(int modelVersion,
                                 java.lang.String entityType,
                                 java.lang.String guid)

  Returns the Calendar references that identify the Base and Overlay Calendars to be applied for deadline calculations involving the given model-entity.

  Parameters:
    `modelVersion` - the major model version of the org-model entity whose Calendar references are to be returned.
    `entityType` - the type of org-model entity whose Calendar references are to be returned.
    `guid` - the GUID of the org-model entity whose Calendar references are to be returned.

Method Detail

### getModelVersion

    public int getModelVersion()

  Gets the model version.

  Returns:

### setModelVersion

    public void setModelVersion(int modelVersion)

  Sets the model version.

  Parameters:
    `modelVersion` -

### getEntityType

    public java.lang.String getEntityType()

  Gets the entity type.

  Returns:

### setEntityType

    public void setEntityType(java.lang.String entityType)

  Sets the entity type.

  Parameters:
    `entityType` -

### getGuid

    public java.lang.String getGuid()

  Gets the GUID.

  Returns:

### setGuid

    public void setGuid(java.lang.String guid)

  Sets the GUID.

  Parameters:
    `guid` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.